Zernio
Zernio
API Reference

Branded Calling

List pre-approved call reasonsGETList registered businessesGETList caller identitiesGETList the numbers on a caller identityGETRegister a business for Branded CallingPOSTCreate a caller identityPOSTGet a registered businessGETGet a caller identityGETEdit or resubmit a caller identityPATCHDelete a registered businessDELETEDelete a caller identityDELETEAttach numbers to a verified identityPOSTConfirm the authorizer's codePOSTDetach numbers from an identityDELETEResend the authorizer's codePOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Branded Calling

List caller identities


GET
/v1/branded-calling/identities

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Response Body

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.brandedcalling.listBrandedCallingIdentities();console.log(data);
{  "identities": [    {      "id": "string",      "enterpriseId": "string",      "displayName": "string",      "callReasons": [        "string"      ],      "callReasonsPreApproved": true,      "logoUrl": "string",      "authorizer": {        "name": "string",        "email": "user@example.com"      },      "references": {        "business": [          {            "fullName": "string",            "jobTitle": "string",            "organization": "string",            "relationshipToRegistrant": "string",            "phoneNumber": "string",            "email": "user@example.com",            "timezone": "string"          },          {            "fullName": "string",            "jobTitle": "string",            "organization": "string",            "relationshipToRegistrant": "string",            "phoneNumber": "string",            "email": "user@example.com",            "timezone": "string"          }        ],        "financial": {          "fullName": "string",          "jobTitle": "string",          "organization": "string",          "relationshipToRegistrant": "string",          "phoneNumber": "string",          "email": "user@example.com",          "timezone": "string"        }      },      "status": "requested",      "rejectionReasons": [        {          "code": "string",          "title": "string",          "detail": "string",          "message": "string"        }      ],      "reviewNote": "string",      "reviewRequest": {        "id": "string",        "intro": "string",        "points": [          {            "id": "string",            "title": "string",            "detail": "string",            "answer": "text"          }        ]      },      "emailVerifiedAt": "2019-08-24T14:15:22Z",      "submittedAt": "2019-08-24T14:15:22Z",      "verifiedAt": "2019-08-24T14:15:22Z",      "expiringAt": "2019-08-24T14:15:22Z",      "numbers": [        {          "phoneNumberId": "string",          "phoneNumber": "string",          "status": "submitted",          "rejectionReason": {            "code": "string",            "title": "string",            "detail": "string",            "message": "string"          },          "verifiedAt": "2019-08-24T14:15:22Z",          "addedAt": "2019-08-24T14:15:22Z"        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List registered businesses

Previous Page

List the numbers on a caller identity

Next Page